History
Post apiusersearch history freshness
Check and cache fresh data availability for a previous search.
POST
/
api
/
user
/
search-history
/
{search_id}
/
freshness
/
cURL
curl -X POST 'https://www.spherescout.io/api/user/search-history/{search_id}/freshness/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0' \
-H 'Content-Type: application/json' \
-d '{}'import requests
response = requests.post(
"https://www.spherescout.io/api/user/search-history/{search_id}/freshness/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
json={},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/user/search-history/{search_id}/freshness/", {
method: "POST",
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
const data = await response.json();
{
"status": "<string>",
"validation_code": "<string>",
"freshness": {},
"freshness_checked_at": "2023-11-07T05:31:56Z",
"freshness_check_available": true,
"freshness_next_check_at": "2023-11-07T05:31:56Z",
"fresh_export_in_progress": true
}Authorizations
API key. Format: Token
Path Parameters
Response
200 - application/json
⌘I
cURL
curl -X POST 'https://www.spherescout.io/api/user/search-history/{search_id}/freshness/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0' \
-H 'Content-Type: application/json' \
-d '{}'import requests
response = requests.post(
"https://www.spherescout.io/api/user/search-history/{search_id}/freshness/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
json={},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/user/search-history/{search_id}/freshness/", {
method: "POST",
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
const data = await response.json();
{
"status": "<string>",
"validation_code": "<string>",
"freshness": {},
"freshness_checked_at": "2023-11-07T05:31:56Z",
"freshness_check_available": true,
"freshness_next_check_at": "2023-11-07T05:31:56Z",
"fresh_export_in_progress": true
}